Bug 464089 - Anaconda uses only AES, no options for any other cipher
Anaconda uses only AES, no options for any other cipher
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
: 473285 (view as bug list)
Depends On:
Blocks: encrypted_LVM
  Show dependency treegraph
 
Reported: 2008-09-26 04:31 EDT by Max Kessler
Modified: 2010-06-28 06:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:45:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Max Kessler 2008-09-26 04:31:11 EDT
Description of problem:
Anaconda prompts for encryption of a partition and passphrase, but not for a cipher.  It can only use AES, not blowfish, twofish, etc.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Boot an install CD/DVD/etc.
2. Check the box to encrypt the system (alternatively in the custom layout, check to encrypt a specific partition).
3. Enter a passphrase.
  
Actual results:
Anaconda chooses AES as the cipher, thus allowing an adversary to know what cipher to attack.

Expected results:
A drop-down menu with a list of possible ciphers.

Additional info:
Having multiple ciphers available requires a hacker to guess what cipher is used, thus requiring exponentially more work to crack the system.
Comment 1 Jayson King 2008-10-15 22:20:32 EDT
Seconding this request.

Another reason for allowing other ciphers is for performance reasons. Twofish scores slightly better than AES on benchmark tests which makes it attractive for whole-system encryption.
Comment 2 David Lehman 2008-10-23 19:50:51 EDT
We have intentionally created a simple user interface for the creation of encrypted block devices. It is possible that we will expand it at some point in the future, but this is not high on the list of priorities at this time.

You can certainly create the encrypted devices however you want using parted, lvm, mdadm, and cryptsetup in a kickstart %pre script.
Comment 3 David Lehman 2008-12-01 11:52:15 EST
*** Bug 473285 has been marked as a duplicate of this bug. ***
Comment 4 Milan Broz 2009-03-05 09:10:48 EST
It would be very nice if anaconda supports aes-xts-plain with 256bit key for example, using kickstart is not always possible...

cryptsetup allows that already.
Comment 5 Bug Zapper 2009-06-09 05:44:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jason Haar 2010-01-24 14:09:40 EST
This is a "me too" 

I installed F12 with the whole disk encryption option and was merrily using it. However I noticed a post on the dm-crypt list regarding benchmarking the performance of the different keysize and cipher options and tested my system. End result was that the anaconda-enforced option was the *3rd best* in performance!!!

I don't know if there are hardware-specific reasons for this (Dell D430 laptop - Intel CPU), but there was around a 30% I/O difference: aes-cbc-essiv:sha256 with 128bit key was much faster than the options anaconda chose...

The weird thing is that I think that aes-cbc-essiv:sha256 is the default for cryptsetup? So anaconda is using other options because someone at Redhat thought they were better? Then why choose a slower one?

Jason
Comment 7 David Lehman 2010-01-25 10:55:10 EST
(In reply to comment #6)
> This is a "me too" 
> 
> I installed F12 with the whole disk encryption option and was merrily using it.
> However I noticed a post on the dm-crypt list regarding benchmarking the
> performance of the different keysize and cipher options and tested my system.
> End result was that the anaconda-enforced option was the *3rd best* in
> performance!!!
> 
> I don't know if there are hardware-specific reasons for this (Dell D430 laptop
> - Intel CPU), but there was around a 30% I/O difference: aes-cbc-essiv:sha256
> with 128bit key was much faster than the options anaconda chose...
> 
> The weird thing is that I think that aes-cbc-essiv:sha256 is the default for
> cryptsetup? So anaconda is using other options because someone at Redhat
> thought they were better? Then why choose a slower one?

Because the encryption is stronger. I/O performance is a secondary concern. Cryptsetup's defaults to a very old algorithm, largely for backwards compatibility reasons.
Comment 8 Bug Zapper 2010-04-27 08:15:11 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 06:45:03 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.